require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_SYS_CDLI_H)) {
    require 'sys/cdli.ph';
}
unless(defined(&_NET_ND_LAN_H)) {
    require 'net/nd_lan.ph';
}
unless(defined(&ACF_PRIORITY3)) {
    sub ACF_PRIORITY3 () {	0x;}
}
unless(defined(&ACF_TOKEN)) {
    sub ACF_TOKEN () {	0x10;}
}
unless(defined(&FCF_LLC_FRAME)) {
    sub FCF_LLC_FRAME () {	0x40;}
}
unless(defined(&RCF_SINGLEROUTE_BROADCAST)) {
    sub RCF_SINGLEROUTE_BROADCAST () {	0xc000;}
}
unless(defined(&RCF_ALL_BROADCAST)) {
    sub RCF_ALL_BROADCAST () {	0x8000;}
}
unless(defined(&RCF_LOCAL_BROADCAST)) {
    sub RCF_LOCAL_BROADCAST () {	0x4000;}
}
unless(defined(&RCF_DIRECTION)) {
    sub RCF_DIRECTION () {	0x80;}
}
unless(defined(&RCF_FRAME0)) {
    sub RCF_FRAME0 () {	0x;}
}
unless(defined(&RCF_FRAME0_MAX)) {
    sub RCF_FRAME0_MAX () {	516;}
}
unless(defined(&RCF_FRAME1)) {
    sub RCF_FRAME1 () {	0x10;}
}
unless(defined(&RCF_FRAME1_MAX)) {
    sub RCF_FRAME1_MAX () {	1500;}
}
unless(defined(&RCF_FRAME2)) {
    sub RCF_FRAME2 () {	0x20;}
}
unless(defined(&RCF_FRAME2_MAX)) {
    sub RCF_FRAME2_MAX () {	2052;}
}
unless(defined(&RCF_FRAME3)) {
    sub RCF_FRAME3 () {	0x30;}
}
unless(defined(&RCF_FRAME3_MAX)) {
    sub RCF_FRAME3_MAX () {	4472;}
}
unless(defined(&RCF_FRAME4)) {
    sub RCF_FRAME4 () {	0x40;}
}
unless(defined(&RCF_FRAME4_MAX)) {
    sub RCF_FRAME4_MAX () {	8144;}
}
unless(defined(&RCF_FRAME5)) {
    sub RCF_FRAME5 () {	0x50;}
}
unless(defined(&RCF_FRAME5_MAX)) {
    sub RCF_FRAME5_MAX () {	11407;}
}
unless(defined(&RCF_FRAME6)) {
    sub RCF_FRAME6 () {	0x60;}
}
unless(defined(&RCF_FRAME6_MAX)) {
    sub RCF_FRAME6_MAX () {	17800;}
}
unless(defined(&RCF_FRAME_MASK)) {
    sub RCF_FRAME_MASK () {	0x70;}
}
unless(defined(&RI_PRESENT)) {
    sub RI_PRESENT () {	0x80;}
}
unless(defined(&MAX_BRIDGE)) {
    sub MAX_BRIDGE () {	8;}
}
unless(defined(&RCF_LEN_MASK)) {
    sub RCF_LEN_MASK () {	0x1f00;}
}
unless(defined(&L_ADDR)) {
    sub L_ADDR () {	6;}
}
unless(defined(&MIN_MAC_HDR_SIZE)) {
    sub MIN_MAC_HDR_SIZE () {	14;}
}
unless(defined(&route_bytes)) {
    sub route_bytes {
	local($mac) = @_;
	eval q((( &ntohs(($mac)-> &mac_rcf) >> 8) & 0x1f));
    }
}
unless(defined(&has_route)) {
    sub has_route {
	local($mac) = @_;
	eval q((($mac)-> $mac_src_802_5[0] &  &RI_PRESENT));
    }
}
unless(defined(&largest_frame)) {
    sub largest_frame {
	local($mac) = @_;
	eval q(( &ntohs(($mac)-> &mac_rcf) &  &RCF_FRAME_MASK));
    }
}
unless(defined(&is_broadcast)) {
    sub is_broadcast {
	local($mac) = @_;
	eval q(( &has_route($mac)  && ( &ntohs(($mac)-> &mac_rcf) & ( &RCF_LOCAL_BROADCAST |  &RCF_ALL_BROADCAST))));
    }
}
unless(defined(&IE8025_ADDRLEN)) {
    sub IE8025_ADDRLEN () {	6;}
}
unless(defined(&IE8025_FRAMECHARS)) {
    sub IE8025_FRAMECHARS () {	7;}
}
unless(defined(&mac_acf)) {
    sub mac_acf () {	 ($_First->{Mac_acf});}
}
unless(defined(&mac_fcf)) {
    sub mac_fcf () {	 ($_First->{Mac_fcf});}
}
unless(defined(&mac_dst_802_5)) {
    sub mac_dst_802_5 () {	 ($_First->{Mac_dst});}
}
unless(defined(&mac_src_802_5)) {
    sub mac_src_802_5 () {	 ($_First->{Mac_src});}
}
unless(defined(&mac_rcf)) {
    sub mac_rcf () {	 ($_Variable->{Mac_rcf});}
}
unless(defined(&mac_seg)) {
    sub mac_seg () {	 ($_Variable->{Mac_seg});}
}
unless(defined(&snd_mac_to_llc)) {
    sub snd_mac_to_llc {
	local($mac) = @_;
	eval q( (( ($mac)) +  &mac_size($mac)));
    }
}
unless(defined(&rcv_mac_to_llc)) {
    sub rcv_mac_to_llc {
	local($mac) = @_;
	eval q( (($mac) + 1));
    }
}
unless(defined(&mac_size)) {
    sub mac_size {
	local($mac) = @_;
	eval q(($sizeof{($mac)-> &_First} + ( &has_route(($mac)) ?  &route_bytes(($mac)) : 0)));
    }
}
unless(defined(&_802_5_TYPE_AP)) {
    sub _802_5_TYPE_AP () {	 &SNAP_TYPE_AP;}
}
unless(defined(&_802_5_TYPE_IP)) {
    sub _802_5_TYPE_IP () {	 &SNAP_TYPE_IP;}
}
unless(defined(&_802_5_TYPE_ARP)) {
    sub _802_5_TYPE_ARP () {	 &SNAP_TYPE_ARP;}
}
unless(defined(&DSAP_NETWARE_802_5)) {
    sub DSAP_NETWARE_802_5 () {	 &DSAP_APPLETALK;}
}
unless(defined(&SSAP_NETWARE_802_5)) {
    sub SSAP_NETWARE_802_5 () {	 &DSAP_APPLETALK;}
}
unless(defined(&_802_5_MTU)) {
    sub _802_5_MTU () {	1492;}
}
unless(defined(&_802_5_MIN)) {
    sub _802_5_MIN () {	(60-14);}
}
unless(defined(&arp_hrd)) {
    sub arp_hrd () {	 ($ea_hdr->{ar_hrd});}
}
unless(defined(&arp_pro)) {
    sub arp_pro () {	 ($ea_hdr->{ar_pro});}
}
unless(defined(&arp_hln)) {
    sub arp_hln () {	 ($ea_hdr->{ar_hln});}
}
unless(defined(&arp_pln)) {
    sub arp_pln () {	 ($ea_hdr->{ar_pln});}
}
unless(defined(&arp_op)) {
    sub arp_op () {	 ($ea_hdr->{ar_op});}
}
if(defined(&_KERNEL)) {
    if(defined(&IP_MULTICAST)) {
	eval 'sub IEEE802_5_MAP_IP_MULTICAST {
	    local($ipaddr, $enaddr) = @_;
    	    eval q({ ($enaddr)[0] = 0xc0; ($enaddr)[1] = 0x; ($enaddr)[2] = 0x; ($enaddr)[3] = 0x4; ($enaddr)[4] = 0x; ($enaddr)[5] = 0x; });
	}' unless defined(&IEEE802_5_MAP_IP_MULTICAST);
    }
}
unless(defined(&SIOCSARP_802_5)) {
    eval 'sub SIOCSARP_802_5 () { &_IOW(ord(\'i\'), 93, \'struct arpreq\');}' unless defined(&SIOCSARP_802_5);
    eval 'sub SIOCGARP_802_5 () { &_IOWR(ord(\'i\'),94, \'struct arpreq\');}' unless defined(&SIOCGARP_802_5);
    eval 'sub SIOCDARP_802_5 () { &_IOW(ord(\'i\'), 95, \'struct arpreq\');}' unless defined(&SIOCDARP_802_5);
    eval 'sub IE5_FILLIN_HDR_IPV6 {
        local($macp, $srcp, $destp, $Rcf, $segp) = @_;
	    eval q({ *(\'struct char6\' {\'char\'  $x[6];}*)-> &mac_dst_802_5 = *; *-> &mac_src_802_5 = *; -> &mac_acf =  &ACF_PRIORITY3; -> &mac_fcf =  &FCF_LLC_FRAME;  &if () { -> $mac_src_802_5[0] |=  &RI_PRESENT; -> &mac_rcf = ;  &if ()  &bcopy(, -> &mac_seg,  &mac_size());  &else  &bzero(-> &mac_seg,  &mac_size()); }  &else -> $mac_src_802_5[0] &= ~ &RI_PRESENT;  &ie2_llc((($macp))+ &mac_size(($macp)),  &htons( &ETHERTYPE_IPV6));});
    }' unless defined(&IE5_FILLIN_HDR_IPV6);
    eval 'sub IE5_FILLIN_HDR {
        local($macp, $srcp, $destp, $Rcf, $segp) = @_;
	    eval q({ *(\'struct char6\' {\'char\'  $x[6];}*)-> &mac_dst_802_5 = *; *-> &mac_src_802_5 = *; -> &mac_acf =  &ACF_PRIORITY3; -> &mac_fcf =  &FCF_LLC_FRAME;  &if () { -> $mac_src_802_5[0] |=  &RI_PRESENT; -> &mac_rcf = ;  &if ()  &bcopy(, -> &mac_seg,  &mac_size());  &else  &bzero(-> &mac_seg,  &mac_size()); }  &else -> $mac_src_802_5[0] &= ~ &RI_PRESENT;  &ie2_llc((($macp))+ &mac_size(($macp)),  &htons( &_802_5_TYPE_IP)); });
    }' unless defined(&IE5_FILLIN_HDR);
}
1;
