require '_h2ph_pre.ph';

no warnings 'redefine';

if(defined(&_AIX_TIRPC)) {
    require 'tirpc/rpc/xdr.ph';
} else {
    unless(defined(&_RPC_XDR_H)) {
	eval 'sub _RPC_XDR_H () {1;}' unless defined(&_RPC_XDR_H);
	require 'rpc/types.ph';
	unless(defined(&_KERNEL)) {
	    require 'stdio.ph';
	}
	eval("sub XDR_ENCODE () { 0; }") unless defined(&XDR_ENCODE);
	eval("sub XDR_DECODE () { 1; }") unless defined(&XDR_DECODE);
	eval("sub XDR_FREE () { 2; }") unless defined(&XDR_FREE);
	eval 'sub BYTES_PER_XDR_UNIT () {(4);}' unless defined(&BYTES_PER_XDR_UNIT);
	eval 'sub RNDUP {
	    local($x) = @_;
    	    eval q((((($x) +  &BYTES_PER_XDR_UNIT - 1) /  &BYTES_PER_XDR_UNIT) *  &BYTES_PER_XDR_UNIT));
	}' unless defined(&RNDUP);
	if(defined( &_KERNEL) || !defined( &__64BIT__)) {
	    eval 'sub XDR_GET_RPCBOOL () { &XDR_GETLONG;}' unless defined(&XDR_GET_RPCBOOL);
	    eval 'sub XDR_PUT_RPCBOOL () { &XDR_PUTLONG;}' unless defined(&XDR_PUT_RPCBOOL);
	    eval 'sub XDR_GET_RPCENUM () { &XDR_GETLONG;}' unless defined(&XDR_GET_RPCENUM);
	    eval 'sub XDR_PUT_RPCENUM () { &XDR_PUTLONG;}' unless defined(&XDR_PUT_RPCENUM);
	    eval 'sub XDR_GET_RPCLEN () { &XDR_GETLONG;}' unless defined(&XDR_GET_RPCLEN);
	    eval 'sub XDR_PUT_RPCLEN () { &XDR_PUTLONG;}' unless defined(&XDR_PUT_RPCLEN);
	    eval 'sub XDR_GET_RPCPROG () { &XDR_GETLONG;}' unless defined(&XDR_GET_RPCPROG);
	    eval 'sub XDR_PUT_RPCPROG () { &XDR_PUTLONG;}' unless defined(&XDR_PUT_RPCPROG);
	    eval 'sub XDR_GET_RPCVERS () { &XDR_GETLONG;}' unless defined(&XDR_GET_RPCVERS);
	    eval 'sub XDR_PUT_RPCVERS () { &XDR_PUTLONG;}' unless defined(&XDR_PUT_RPCVERS);
	    eval 'sub XDR_GET_RPCPROC () { &XDR_GETLONG;}' unless defined(&XDR_GET_RPCPROC);
	    eval 'sub XDR_PUT_RPCPROC () { &XDR_PUTLONG;}' unless defined(&XDR_PUT_RPCPROC);
	    eval 'sub XDR_GET_RPCXID () { &XDR_GETLONG;}' unless defined(&XDR_GET_RPCXID);
	    eval 'sub XDR_PUT_RPCXID () { &XDR_PUTLONG;}' unless defined(&XDR_PUT_RPCXID);
	    eval 'sub IXDR_GET_RPCBOOL () { &IXDR_GET_LONG;}' unless defined(&IXDR_GET_RPCBOOL);
	    eval 'sub IXDR_PUT_RPCBOOL () { &IXDR_PUT_LONG;}' unless defined(&IXDR_PUT_RPCBOOL);
	    eval 'sub IXDR_GET_RPCENUM () { &IXDR_GET_LONG;}' unless defined(&IXDR_GET_RPCENUM);
	    eval 'sub IXDR_PUT_RPCENUM () { &IXDR_PUT_LONG;}' unless defined(&IXDR_PUT_RPCENUM);
	    eval 'sub IXDR_GET_RPCLEN () { &IXDR_GET_LONG;}' unless defined(&IXDR_GET_RPCLEN);
	    eval 'sub IXDR_PUT_RPCLEN () { &IXDR_PUT_LONG;}' unless defined(&IXDR_PUT_RPCLEN);
	    eval 'sub IXDR_GET_RPCPROG () { &IXDR_GET_LONG;}' unless defined(&IXDR_GET_RPCPROG);
	    eval 'sub IXDR_PUT_RPCPROG () { &IXDR_PUT_LONG;}' unless defined(&IXDR_PUT_RPCPROG);
	    eval 'sub IXDR_GET_RPCVERS () { &IXDR_GET_LONG;}' unless defined(&IXDR_GET_RPCVERS);
	    eval 'sub IXDR_PUT_RPCVERS () { &IXDR_PUT_LONG;}' unless defined(&IXDR_PUT_RPCVERS);
	    eval 'sub IXDR_GET_RPCPROC () { &IXDR_GET_LONG;}' unless defined(&IXDR_GET_RPCPROC);
	    eval 'sub IXDR_PUT_RPCPROC () { &IXDR_PUT_LONG;}' unless defined(&IXDR_PUT_RPCPROC);
	    eval 'sub IXDR_GET_RPCXID () { &IXDR_GET_LONG;}' unless defined(&IXDR_GET_RPCXID);
	    eval 'sub IXDR_PUT_RPCXID () { &IXDR_PUT_LONG;}' unless defined(&IXDR_PUT_RPCXID);
	    eval 'sub IXDR_GET_RPCINLINE () { &IXDR_GET_LONG;}' unless defined(&IXDR_GET_RPCINLINE);
	    eval 'sub IXDR_PUT_RPCINLINE () { &IXDR_PUT_LONG;}' unless defined(&IXDR_PUT_RPCINLINE);
	    eval 'sub IXDR_GET_RPCUID () { &IXDR_GET_LONG;}' unless defined(&IXDR_GET_RPCUID);
	    eval 'sub IXDR_PUT_RPCUID () { &IXDR_PUT_LONG;}' unless defined(&IXDR_PUT_RPCUID);
	    eval 'sub IXDR_GET_RPCGID () { &IXDR_GET_LONG;}' unless defined(&IXDR_GET_RPCGID);
	    eval 'sub IXDR_PUT_RPCGID () { &IXDR_PUT_LONG;}' unless defined(&IXDR_PUT_RPCGID);
	} else {
	    eval 'sub XDR_GET_RPCBOOL () { &XDR_GET_INT32;}' unless defined(&XDR_GET_RPCBOOL);
	    eval 'sub XDR_PUT_RPCBOOL () { &XDR_PUT_INT32;}' unless defined(&XDR_PUT_RPCBOOL);
	    eval 'sub XDR_GET_RPCENUM () { &XDR_GET_INT32;}' unless defined(&XDR_GET_RPCENUM);
	    eval 'sub XDR_PUT_RPCENUM () { &XDR_PUT_INT32;}' unless defined(&XDR_PUT_RPCENUM);
	    eval 'sub XDR_GET_RPCLEN () { &XDR_GET_INT32;}' unless defined(&XDR_GET_RPCLEN);
	    eval 'sub XDR_PUT_RPCLEN () { &XDR_PUT_INT32;}' unless defined(&XDR_PUT_RPCLEN);
	    eval 'sub XDR_GET_RPCPROG () { &XDR_GET_INT32;}' unless defined(&XDR_GET_RPCPROG);
	    eval 'sub XDR_PUT_RPCPROG () { &XDR_PUT_INT32;}' unless defined(&XDR_PUT_RPCPROG);
	    eval 'sub XDR_GET_RPCVERS () { &XDR_GET_INT32;}' unless defined(&XDR_GET_RPCVERS);
	    eval 'sub XDR_PUT_RPCVERS () { &XDR_PUT_INT32;}' unless defined(&XDR_PUT_RPCVERS);
	    eval 'sub XDR_GET_RPCPROC () { &XDR_GET_INT32;}' unless defined(&XDR_GET_RPCPROC);
	    eval 'sub XDR_PUT_RPCPROC () { &XDR_PUT_INT32;}' unless defined(&XDR_PUT_RPCPROC);
	    eval 'sub XDR_GET_RPCXID () { &XDR_GET_INT32;}' unless defined(&XDR_GET_RPCXID);
	    eval 'sub XDR_PUT_RPCXID () { &XDR_PUT_INT32;}' unless defined(&XDR_PUT_RPCXID);
	    eval 'sub IXDR_GET_RPCBOOL () { &IXDR_GET_INT32;}' unless defined(&IXDR_GET_RPCBOOL);
	    eval 'sub IXDR_PUT_RPCBOOL () { &IXDR_PUT_INT32;}' unless defined(&IXDR_PUT_RPCBOOL);
	    eval 'sub IXDR_GET_RPCENUM () { &IXDR_GET_INT32;}' unless defined(&IXDR_GET_RPCENUM);
	    eval 'sub IXDR_PUT_RPCENUM () { &IXDR_PUT_INT32;}' unless defined(&IXDR_PUT_RPCENUM);
	    eval 'sub IXDR_GET_RPCLEN () { &IXDR_GET_INT32;}' unless defined(&IXDR_GET_RPCLEN);
	    eval 'sub IXDR_PUT_RPCLEN () { &IXDR_PUT_INT32;}' unless defined(&IXDR_PUT_RPCLEN);
	    eval 'sub IXDR_GET_RPCPROG () { &IXDR_GET_INT32;}' unless defined(&IXDR_GET_RPCPROG);
	    eval 'sub IXDR_PUT_RPCPROG () { &IXDR_PUT_INT32;}' unless defined(&IXDR_PUT_RPCPROG);
	    eval 'sub IXDR_GET_RPCVERS () { &IXDR_GET_INT32;}' unless defined(&IXDR_GET_RPCVERS);
	    eval 'sub IXDR_PUT_RPCVERS () { &IXDR_PUT_INT32;}' unless defined(&IXDR_PUT_RPCVERS);
	    eval 'sub IXDR_GET_RPCPROC () { &IXDR_GET_INT32;}' unless defined(&IXDR_GET_RPCPROC);
	    eval 'sub IXDR_PUT_RPCPROC () { &IXDR_PUT_INT32;}' unless defined(&IXDR_PUT_RPCPROC);
	    eval 'sub IXDR_GET_RPCXID () { &IXDR_GET_INT32;}' unless defined(&IXDR_GET_RPCXID);
	    eval 'sub IXDR_PUT_RPCXID () { &IXDR_PUT_INT32;}' unless defined(&IXDR_PUT_RPCXID);
	    eval 'sub IXDR_GET_RPCINLINE () { &IXDR_GET_INT32;}' unless defined(&IXDR_GET_RPCINLINE);
	    eval 'sub IXDR_PUT_RPCINLINE () { &IXDR_PUT_INT32;}' unless defined(&IXDR_PUT_RPCINLINE);
	    eval 'sub IXDR_GET_RPCUID () { &IXDR_GET_INT32;}' unless defined(&IXDR_GET_RPCUID);
	    eval 'sub IXDR_PUT_RPCUID () { &IXDR_PUT_INT32;}' unless defined(&IXDR_PUT_RPCUID);
	    eval 'sub IXDR_GET_RPCGID () { &IXDR_GET_INT32;}' unless defined(&IXDR_GET_RPCGID);
	    eval 'sub IXDR_PUT_RPCGID () { &IXDR_PUT_INT32;}' unless defined(&IXDR_PUT_RPCGID);
	}
	if(defined(&_NO_PROTO)) {
	    if(defined(&__cplusplus)) {
	    } else {
	    }
	    if(defined(&__cplusplus)) {
	    } else {
	    }
	    if(defined(&__cplusplus)) {
	    } else {
	    }
	    if(defined(&__cplusplus)) {
	    } else {
	    }
	    if(defined(&__cplusplus)) {
	    } else {
	    }
	    if(defined(&__cplusplus)) {
	    } else {
	    }
	    if(defined(&__cplusplus)) {
	    } else {
	    }
	    if(defined(&__cplusplus)) {
	    } else {
	    }
	    if(defined(&__cplusplus)) {
	    } else {
	    }
	    if(defined(&__cplusplus)) {
	    } else {
	    }
	} else {
	    if(defined(&_LONG_LONG)) {
	    } else {
	    }
	}
	if(defined(&_NO_PROTO)) {
	    if(defined(&__cplusplus)) {
	    } else {
	    }
	} else {
	    if(defined(&__cplusplus)) {
	    } else {
	    }
	}
	if(defined( &_KERNEL) || !defined( &__64BIT__)) {
	    eval 'sub xdr_rpcvers () {\'xdr_u_long\';}' unless defined(&xdr_rpcvers);
	    eval 'sub xdr_rpcprog () {\'xdr_u_long\';}' unless defined(&xdr_rpcprog);
	    eval 'sub xdr_rpcproc () {\'xdr_u_long\';}' unless defined(&xdr_rpcproc);
	    eval 'sub xdr_rpcprot () {\'xdr_u_long\';}' unless defined(&xdr_rpcprot);
	    eval 'sub xdr_rpcport () {\'xdr_u_long\';}' unless defined(&xdr_rpcport);
	    eval 'sub xdr_rpcxid () {\'xdr_u_long\';}' unless defined(&xdr_rpcxid);
	    eval 'sub xdr_rmtcall_arglen () {\'xdr_u_long\';}' unless defined(&xdr_rmtcall_arglen);
	    eval 'sub xdr_rmtcall_resultlen () {\'xdr_u_long\';}' unless defined(&xdr_rmtcall_resultlen);
	} else {
	    eval 'sub xdr_rpcvers () { &xdr_u_int;}' unless defined(&xdr_rpcvers);
	    eval 'sub xdr_rpcprog () { &xdr_u_int;}' unless defined(&xdr_rpcprog);
	    eval 'sub xdr_rpcproc () { &xdr_u_int;}' unless defined(&xdr_rpcproc);
	    eval 'sub xdr_rpcprot () { &xdr_u_int;}' unless defined(&xdr_rpcprot);
	    eval 'sub xdr_rpcport () { &xdr_u_int;}' unless defined(&xdr_rpcport);
	    eval 'sub xdr_rpcxid () { &xdr_u_int;}' unless defined(&xdr_rpcxid);
	    eval 'sub xdr_rmtcall_arglen () { &xdr_u_int;}' unless defined(&xdr_rmtcall_arglen);
	    eval 'sub xdr_rmtcall_resultlen () { &xdr_u_int;}' unless defined(&xdr_rmtcall_resultlen);
	}
	eval 'sub XDR_GET_INT32 {
	    local($xdrs, $int32p) = @_;
    	    eval q((*($xdrs)-> ($x_ops->{x_getint32}))($xdrs, $int32p));
	}' unless defined(&XDR_GET_INT32);
	eval 'sub xdr_getint32 {
	    local($xdrs, $int32p) = @_;
    	    eval q((*($xdrs)-> ($x_ops->{x_getint32}))($xdrs, $int32p));
	}' unless defined(&xdr_getint32);
	eval 'sub XDR_PUT_INT32 {
	    local($xdrs, $int32p) = @_;
    	    eval q((*($xdrs)-> ($x_ops->{x_putint32}))($xdrs, $int32p));
	}' unless defined(&XDR_PUT_INT32);
	eval 'sub xdr_putint32 {
	    local($xdrs, $int32p) = @_;
    	    eval q((*($xdrs)-> ($x_ops->{x_putint32}))($xdrs, $int32p));
	}' unless defined(&xdr_putint32);
	eval 'sub XDR_GETHYPER {
	    local($xdrs, $hyperp) = @_;
    	    eval q((*($xdrs)-> ($x_ops->{x_gethyper}))($xdrs, $hyperp));
	}' unless defined(&XDR_GETHYPER);
	eval 'sub xdr_gethyper {
	    local($xdrs, $hyperp) = @_;
    	    eval q((*($xdrs)-> ($x_ops->{x_gethyper}))($xdrs, $hyperp));
	}' unless defined(&xdr_gethyper);
	eval 'sub XDR_PUTHYPER {
	    local($xdrs, $hyperp) = @_;
    	    eval q((*($xdrs)-> ($x_ops->{x_puthyper}))($xdrs, $hyperp));
	}' unless defined(&XDR_PUTHYPER);
	eval 'sub xdr_puthyper {
	    local($xdrs, $hyperp) = @_;
    	    eval q((*($xdrs)-> ($x_ops->{x_puthyper}))($xdrs, $hyperp));
	}' unless defined(&xdr_puthyper);
	eval 'sub XDR_GETLONG {
	    local($xdrs, $longp) = @_;
    	    eval q((*($xdrs)-> ($x_ops->{x_getlong}))($xdrs, $longp));
	}' unless defined(&XDR_GETLONG);
	eval 'sub xdr_getlong {
	    local($xdrs, $longp) = @_;
    	    eval q((*($xdrs)-> ($x_ops->{x_getlong}))($xdrs, $longp));
	}' unless defined(&xdr_getlong);
	eval 'sub XDR_PUTLONG {
	    local($xdrs, $longp) = @_;
    	    eval q((*($xdrs)-> ($x_ops->{x_putlong}))($xdrs, $longp));
	}' unless defined(&XDR_PUTLONG);
	eval 'sub xdr_putlong {
	    local($xdrs, $longp) = @_;
    	    eval q((*($xdrs)-> ($x_ops->{x_putlong}))($xdrs, $longp));
	}' unless defined(&xdr_putlong);
	eval 'sub XDR_GETBYTES {
	    local($xdrs, $addr, $len) = @_;
    	    eval q((*($xdrs)-> ($x_ops->{x_getbytes}))($xdrs, $addr, $len));
	}' unless defined(&XDR_GETBYTES);
	eval 'sub xdr_getbytes {
	    local($xdrs, $addr, $len) = @_;
    	    eval q((*($xdrs)-> ($x_ops->{x_getbytes}))($xdrs, $addr, $len));
	}' unless defined(&xdr_getbytes);
	eval 'sub XDR_PUTBYTES {
	    local($xdrs, $addr, $len) = @_;
    	    eval q((*($xdrs)-> ($x_ops->{x_putbytes}))($xdrs, $addr, $len));
	}' unless defined(&XDR_PUTBYTES);
	eval 'sub xdr_putbytes {
	    local($xdrs, $addr, $len) = @_;
    	    eval q((*($xdrs)-> ($x_ops->{x_putbytes}))($xdrs, $addr, $len));
	}' unless defined(&xdr_putbytes);
	eval 'sub XDR_GETPOS {
	    local($xdrs) = @_;
    	    eval q((*($xdrs)-> ($x_ops->{x_getpostn}))($xdrs));
	}' unless defined(&XDR_GETPOS);
	eval 'sub xdr_getpos {
	    local($xdrs) = @_;
    	    eval q((*($xdrs)-> ($x_ops->{x_getpostn}))($xdrs));
	}' unless defined(&xdr_getpos);
	eval 'sub XDR_SETPOS {
	    local($xdrs, $pos) = @_;
    	    eval q((*($xdrs)-> ($x_ops->{x_setpostn}))($xdrs, $pos));
	}' unless defined(&XDR_SETPOS);
	eval 'sub xdr_setpos {
	    local($xdrs, $pos) = @_;
    	    eval q((*($xdrs)-> ($x_ops->{x_setpostn}))($xdrs, $pos));
	}' unless defined(&xdr_setpos);
	eval 'sub XDR_INLINE {
	    local($xdrs, $len) = @_;
    	    eval q((*($xdrs)-> ($x_ops->{x_inline}))($xdrs, $len));
	}' unless defined(&XDR_INLINE);
	eval 'sub xdr_inline {
	    local($xdrs, $len) = @_;
    	    eval q((*($xdrs)-> ($x_ops->{x_inline}))($xdrs, $len));
	}' unless defined(&xdr_inline);
	eval 'sub XDR_DESTROY {
	    local($xdrs) = @_;
    	    eval q((*($xdrs)-> ($x_ops->{x_destroy}))($xdrs));
	}' unless defined(&XDR_DESTROY);
	eval 'sub xdr_destroy {
	    local($xdrs) = @_;
    	    eval q( &XDR_DESTROY($xdrs));
	}' unless defined(&xdr_destroy);
	eval 'sub NULL_xdrproc_t () {(0);}' unless defined(&NULL_xdrproc_t);
	eval 'sub IXDR_GET_INT32 {
	    local($buf) = @_;
    	    eval q(( &ntohl(*($buf)++)));
	}' unless defined(&IXDR_GET_INT32);
	eval 'sub IXDR_PUT_INT32 {
	    local($buf, $v) = @_;
    	    eval q((*++ =  &htonl($v)));
	}' unless defined(&IXDR_PUT_INT32);
	eval 'sub IXDR_GET_U_INT32 {
	    local($buf) = @_;
    	    eval q(( &ntohl(*($buf)++)));
	}' unless defined(&IXDR_GET_U_INT32);
	eval 'sub IXDR_PUT_U_INT32 {
	    local($buf, $v) = @_;
    	    eval q((*++ =  &htonl($v)));
	}' unless defined(&IXDR_PUT_U_INT32);
	unless(defined(&__64BIT__)) {
	    eval 'sub IXDR_GET_LONG {
	        local($buf) = @_;
    		eval q(( &ntohl(*($buf)++)));
	    }' unless defined(&IXDR_GET_LONG);
	    eval 'sub IXDR_PUT_LONG {
	        local($buf, $v) = @_;
    		eval q((*++ =  &htonl($v)));
	    }' unless defined(&IXDR_PUT_LONG);
	} else {
	    eval 'sub IXDR_GET_LONG {
	        local($buf) = @_;
    		eval q( &ixdr_get_long64(($buf)));
	    }' unless defined(&IXDR_GET_LONG);
	    eval 'sub IXDR_PUT_LONG {
	        local($buf, $v) = @_;
    		eval q( &ixdr_put_long64(($buf), $v));
	    }' unless defined(&IXDR_PUT_LONG);
	}
	eval 'sub IXDR_GET_BOOL {
	    local($buf) = @_;
    	    eval q(( &IXDR_GET_LONG($buf)));
	}' unless defined(&IXDR_GET_BOOL);
	eval 'sub IXDR_GET_ENUM {
	    local($buf, $t) = @_;
    	    eval q(( &IXDR_GET_LONG($buf)));
	}' unless defined(&IXDR_GET_ENUM);
	eval 'sub IXDR_GET_U_LONG {
	    local($buf) = @_;
    	    eval q(( &IXDR_GET_LONG($buf)));
	}' unless defined(&IXDR_GET_U_LONG);
	eval 'sub IXDR_GET_SHORT {
	    local($buf) = @_;
    	    eval q(( &IXDR_GET_LONG($buf)));
	}' unless defined(&IXDR_GET_SHORT);
	eval 'sub IXDR_GET_U_SHORT {
	    local($buf) = @_;
    	    eval q(( &IXDR_GET_LONG($buf)));
	}' unless defined(&IXDR_GET_U_SHORT);
	eval 'sub IXDR_PUT_BOOL {
	    local($buf, $v) = @_;
    	    eval q( &IXDR_PUT_LONG(, (($v))));
	}' unless defined(&IXDR_PUT_BOOL);
	eval 'sub IXDR_PUT_ENUM {
	    local($buf, $v) = @_;
    	    eval q( &IXDR_PUT_LONG(, (($v))));
	}' unless defined(&IXDR_PUT_ENUM);
	eval 'sub IXDR_PUT_U_LONG {
	    local($buf, $v) = @_;
    	    eval q( &IXDR_PUT_LONG(, (($v))));
	}' unless defined(&IXDR_PUT_U_LONG);
	eval 'sub IXDR_PUT_SHORT {
	    local($buf, $v) = @_;
    	    eval q( &IXDR_PUT_LONG(, (($v))));
	}' unless defined(&IXDR_PUT_SHORT);
	eval 'sub IXDR_PUT_U_SHORT {
	    local($buf, $v) = @_;
    	    eval q( &IXDR_PUT_LONG(, (($v))));
	}' unless defined(&IXDR_PUT_U_SHORT);
	if(defined(&_NO_PROTO)) {
	    unless(defined(&_KERNEL)) {
	    }
	} else {
	    if(defined(&_LONG_LONG)) {
	    } else {
	    }
	    unless(defined(&_KERNEL)) {
	    }
	}
	eval 'sub MAX_NETOBJ_SZ () {1024;}' unless defined(&MAX_NETOBJ_SZ);
	if(defined(&_NO_PROTO)) {
	} else {
	}
	if(defined(&_NO_PROTO)) {
	    unless(defined(&_KERNEL)) {
	    } else {
	    }
	} else {
	    unless(defined(&_KERNEL)) {
	    } else {
	    }
	}
    }
}
1;
